Bug 49682 - Boot fails with kernel Oops with NULL pointer dereference after fresh install
Boot fails with kernel Oops with NULL pointer dereference after fresh install
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-22 22:11 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-22 22:11:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)

Description of problem:
After (multiple) fresh installs of the 7.1 disks both ones that I created 
off the internet and a set that I bought. I get completely through the 
install the reboot the system. After pages and pages of either memory or 
register contents in the form of "[<hhhhhhhh>]" where "h" is a hex digit, 
I get a message:
Unable to handle kernel NULL pointer dereference @ virtual address 
00000000c
printing eip: c01132f6
pgd entry c0101000: 00000000000
pmd entry c0101000: 00000000000
ppmd not present
Oops: 000
cpu: 0
Eip 0010: [<c01132f6>]
Eflags: 00010002

The system is an emachines eTower 366c with:
Cyrix M II-366 processor
128 Mbytes ram
ATI Rage IIc 3D agp w/4mbyte sdram
Crystal CS4235 3D audio
3.2 Gb HDD
32x CD ROM
system board is a TriGem MB w/ builtin video & audio

How reproducible:
Always

Steps to Reproduce:
1.Install system (workstation or server or custom)
2.Boot from HDD or Floppy 
3.System begins to boot then starts to dump registers or memory
	

Actual Results:  System eventually hangs

Expected Results:  System startup

Additional info:
Comment 1 Arjan van de Ven 2001-07-23 02:55:20 EDT
Any idea how far the boot gets before the errors happen ?
Comment 2 Need Real Name 2001-07-23 11:18:40 EDT
I am not real sure how far it gets before it hangs. The first 2 lines that show 
vmlinuz and something else with the "."'s behind it do get loaded. My eyes are 
just not fast enough after that. The screen finls with pages of memory or 
register dumps (seemingly repeating). Is there some way to stop the output at 
the console (I have tried ctrl z, ctrl q, and some others).

This also fails with Mandrake 8.0 after a clean install as well.

The system is proported to work with Linux.
Comment 3 Mike Brown 2001-09-01 11:59:44 EDT
I have a similar problem, but the system runs for a while before the null
pointer deference, sometimes for hours and sometimes minutes.  I have had the
same problem with both the 2.4.2 and 2.4.3 kernels.

Here is the messages entries:

Sep  1 04:02:37 cc1082620-a kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Sep  1 04:02:37 cc1082620-a kernel:  printing eip:
Sep  1 04:02:37 cc1082620-a kernel: c0141aa8
Sep  1 04:02:37 cc1082620-a kernel: pgd entry c294c000: 0000000000000000
Sep  1 04:02:37 cc1082620-a kernel: pmd entry c294c000: 0000000000000000
Sep  1 04:02:37 cc1082620-a kernel: ... pmd not present!
Sep  1 04:02:37 cc1082620-a kernel: Oops: 0002
Sep  1 04:02:37 cc1082620-a kernel: CPU:    0
Sep  1 04:02:37 cc1082620-a kernel: EIP:    0010:[prune_dcache+40/352]
Sep  1 04:02:37 cc1082620-a kernel: EIP:    0010:[<c0141aa8>]
Sep  1 04:02:37 cc1082620-a kernel: EFLAGS: 00010216
Sep  1 04:02:37 cc1082620-a kernel: eax: c023991c   ebx: c14c4400   ecx:
c110fe6c   edx: 00000000
Sep  1 04:02:37 cc1082620-a kernel: esi: c15c4360   edi: c15c4360   ebp:
000008af   esp: c1173f70
Sep  1 04:02:37 cc1082620-a kernel: ds: 0018   es: 0018   ss: 0018
Sep  1 04:02:37 cc1082620-a kernel: Process kswapd (pid: 3, stackpage=c1173000)
Sep  1 04:02:37 cc1082620-a kernel: Stack: 00000000 00000004 c012a026 c1027ae8
0000011a c1172000 00000010 0000011a 
Sep  1 04:02:37 cc1082620-a kernel:        00000004 00000004 00000059 00000004
c0141e7a 00000b05 00010f00 c012a2ae 
Sep  1 04:02:37 cc1082620-a kernel:        00000004 00000004 00010f00 c023b3a0
00000004 0008e000 c012a340 00000004 
Sep  1 04:02:37 cc1082620-a kernel: Call Trace: [refill_inactive_scan+150/256]
[shrink_dcache_memory+42/80] [do_try_to_free_pages+94/128] [kswapd+112/272]
[do_linuxrc+0/208] 
Sep  1 04:02:37 cc1082620-a kernel: Call Trace: [<c012a026>] [<c0141e7a>]
[<c012a2ae>] [<c012a340>] [<c0105000>] 
Sep  1 04:02:37 cc1082620-a kernel:    [do_linuxrc+0/208] [kernel_thread+38/48]
[kswapd+0/272] 
Sep  1 04:02:37 cc1082620-a kernel:    [<c0105000>] [<c0105576>] [<c012a2d0>] 
Sep  1 04:02:37 cc1082620-a kernel: 
Sep  1 04:02:37 cc1082620-a kernel: Code: 89 02 89 1b 89 5b 04 8d 73 e0 b8 03 00
00 00 0f b3 43 e4 19 
Sep  1 04:02:39 cc1082620-a kernel:  invalid operand: 0000
Sep  1 04:02:39 cc1082620-a kernel: CPU:    0
Sep  1 04:02:39 cc1082620-a kernel: EIP:    0010:[do_exit+449/464]
Sep  1 04:02:39 cc1082620-a kernel: EIP:    0010:[<c0116d31>]
Sep  1 04:02:39 cc1082620-a kernel: EFLAGS: 00010246
Sep  1 04:02:39 cc1082620-a kernel: eax: 00000000   ebx: 00000000   ecx:
c17fc000   edx: 00000000
Sep  1 04:02:39 cc1082620-a kernel: esi: c1172000   edi: 0000000b   ebp:
00000002   esp: c1173e4c
Sep  1 04:02:39 cc1082620-a kernel: ds: 0018   es: 0018   ss: 0018
Sep  1 04:02:39 cc1082620-a kernel: Process kswapd (pid: 3, stackpage=c1173000)
Sep  1 04:02:39 cc1082620-a kernel: Stack: c02040ad c0207b9c 00000002 00000001
00000001 c0141aa8 c1173f3c c01115ee 
Sep  1 04:02:39 cc1082620-a kernel:        0000000b c1173f3c 00000002 c0207aba
00000000 c0207b95 c0141aa8 c0207b85 
Sep  1 04:02:39 cc1082620-a kernel:        c0207b6a 00000000 c02bc4c0 c1172000
c1172000 00000010 c02bc480 00030001 
Sep  1 04:02:39 cc1082620-a kernel: Call Trace: [stext_lock+7501/19392]
[error_table+3196/17368] [prune_dcache+40/352] [do_page_fault+846/1200]
[error_table+2970/17368] 
Sep  1 04:02:39 cc1082620-a kernel: Call Trace: [<c02040ad>] [<c0207b9c>]
[<c0141aa8>] [<c01115ee>] [<c0207aba>] 
Sep  1 04:02:39 cc1082620-a kernel:    [error_table+3189/17368]
[prune_dcache+40/352] [error_table+3173/17368] [error_table+3146/17368]
[ide_end_request+127/144] [ide_do_request+659/736] 
Sep  1 04:02:39 cc1082620-a kernel:    [<c0207b95>] [<c0141aa8>] [<c0207b85>]
[<c0207b6a>] [<c018707f>] [<c0188563>] 


It looks to me like it's failing on a page fault, but it may be a module problem
that looks like a kernel problem.
Comment 4 Bugzilla owner 2004-09-30 11:39:05 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.